[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Entering freeze for libvirt-1.1.1



  Jason Helfman wrote:

> Configure failure on BSD when detecting libssh2. This is the first time I
> have run into this. Has anything changed?
> 
> configure: error: You must install the libssh2 >= 1.3pkg-config module to
> compile libvirt
> ===>  Script "configure" failed unexpectedly.
> Please report the problem to jgh FreeBSD org [maintainer] and attach the
> "/usr/home/jgh/workspace/ports/devel/libvirt/work/libvirt-1.1.1/config.log"
> including the output of the failure of your make command. Also, it might be
> a good idea to provide an overview of all packages installed on your system
> (e.g. a /usr/local/sbin/pkg-static info -g -Ea).
> *** [do-configure] Error code 1
> 
> Stop in /usr/home/jgh/workspace/ports/devel/libvirt.
> *** [build] Error code 1
> 
> Stop in /usr/home/jgh/workspace/ports/devel/libvirt.
> [jgh hatter ~/workspace/ports/devel/libvirt]$ pkg info -l libssh2 |grep pc
>     /usr/local/libdata/pkgconfig/libssh2.pc
> 
> -jgh

Never tried to build with libssh2. Just downloaded rc1 now and did:

./configure --with-ssh2

and it worked fine for me:

configure:       ssh2: yes (CFLAGS='-I/usr/local/include  '
LIBS='-L/usr/local/lib -lssh2  -Wl,-rpath=/usr/lib:/usr/local/lib  ')

Could you provide config.log?

Roman Bogorodskiy

Attachment: pgpkZHuOhyqDw.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]